%define thinice_version 1.0.3
%define wonderland_version 0.47

Name:		gtk-engines
Summary:	Default GTK+ theme engines.
Version:	0.12
Release:	9mdk
License:	GPL
Group:		System/Libraries
BuildRequires:	gtk+-devel, imlib-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires: automake1.4
Source:		%{name}-%{version}.tar.bz2
Source1:	gtk-themes-extra-4.tar.bz2
Source2:	gtk-themes.pixmap_path.patch.bz2
Source3:	ThinIce.tar.bz2
Source4:	eazel-engine-0.3.tar.bz2
Source6:    Wonderland1-0.47.tar.bz2
# (fc) 0.12-3mdk disable eazel engine capplet
Patch0:		eazel-engine-0.3-disablecapplet.patch.bz2
Patch1:		gtk-engines-0.12-includes.patch.bz2
Patch2:		eazel-engine-0.3-gcc3.4.patch.bz2
Url:		ftp://ftp.gnome.org/pub/GNOME/stable/sources/gtk-engines/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:  mdk-eazel-engine
Obsoletes:  mdk-eazel-engine-capplet

%description
These are the graphical engines for the various GTK+ toolkit themes.
Included themes are:

  - Notif
  - Redmond95
  - Pixmap
  - Metal (swing-like)
  - Many more

%prep
%setup -q -a 3 -a 4 -a 6
%patch0 -p1 -b .disablecapplet
%patch1 -p1 -b .includes
%patch2 -p0 -b .gcc

# get rid of any reference to obsolete ltconfig, otherwise libtoolize
# doesn't have any effect. i.e. it doesn't get updated.
rm -f acinclude.m4 configure
libtoolize --copy --force
aclocal-1.4 && autoconf

cd eazel-engine-0.3
rm -f configure
aclocal-1.4
autoconf
automake-1.4
cd ..

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
%configure2_5x
make
cd gtk-thinice-theme-%{thinice_version}
  %configure
  make
cd ..

cd eazel-engine-0.3
  %configure2_5x
  make
cd ..

cd Wonderland1-%{wonderland_version}
  %configure2_5x
  %make
cd ..


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall 

cd gtk-thinice-theme-%{thinice_version}
%makeinstall_std
cd ..

cd eazel-engine-0.3
%makeinstall_std
cd ..

cd Wonderland1-%{wonderland_version}
%makeinstall_std
cd ..

# expand extra themes
cd %{buildroot}%{_datadir}/themes; tar xjvf %{SOURCE1}
bzcat %{SOURCE2} | patch -p0

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README ChangeLog
%dir %{_libdir}/gtk/
%dir %{_libdir}/gtk/themes
%dir %{_libdir}/gtk/themes/engines/
%{_libdir}/gtk/themes/engines/*
%{_datadir}/themes/*
%{_datadir}/eazel-engine

%changelog
* Mon Jun 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.12-9mdk
- patch2: fix eazel build with gcc 3.4
- fix auto* build

* Tue Jul 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.12-8mdk
- add some dirs to the package

* Mon Mar  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.12-7mdk
- Mandrake theme is dead, long life to Galaxy

* Fri Oct 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-6mdk
- Rename Bluecurve to Wonderland (don't use RH tm)

* Thu Oct 10 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.12-5mdk
- Patch1: Add missing includes.
- Nuke acinclude.m4 as it prevents libtoolize from updating to a
  correct libtool generation template, which has to contain lib64
  changes. Thus, we also need to regenerate configure.

* Mon Oct  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-4mdk
- Add Bluecurve engine

* Fri Aug 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-3mdk
- put eazel-engine in gtk-engine and obsoletes mdk-eazel-engine-*
- Patch0: disable eazel engine capplet

* Thu Oct  4 2001 DindinX <odin@mandrakesoft.com> 0.12-2mdk
- make rpmlint happy

* Thu Mar 22 2001 DindinX <odin@mandrakesoft.com> 0.12-1mdk
- 0.12 (bugfixes release)

* Mon Mar  5 2001 DindinX <odin@mandrakesoft.com> 0.11-1mdk
- 0.11
- removed merged patch

* Sat Nov 04 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.10-5mdk
- add thinice theme and library (no more complaining about libthinice.so
  module missing!)
- specfile cleanups

* Wed Aug 16 2000 DindinX <odin@mandrakesoft.com> 0.10-4mdk
- Fix URL
- Remove unnecessary patch
- BM
- Macrozification
- Other spec fixes
- fix pixmap_path in the gtkrc files

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.10-3mdk
- automatically added BuildRequires

* Fri Mar 24 2000 DindinX <odin@mandrakesoft.com> 0.10-2mdk
- Group fix, small specs updates

* Sun Feb 06 2000 Axalon Bloodstone <axalon@mandrakesoft.com>
- 0.10

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP check/build
- reinstate constabul Odo (issues are ok, if they are known)
- 0.8

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.7

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Wed Apr 14 1999 Michael Fulbright <drmike@redhat.com>
- removed Odo (has issues)

* Fri Apr 9 1999 The Rasterman <raster@redhat.com>
- patched metal theme - fixed handlebox redraw.

* Wed Mar 31 1999 Michael Fulbright <drmike@redhat.com>
- removed some themes that were misbehaving

* Tue Mar 16 1999 Michael Fulbright <drmike@redhat.com>
- removed enlightened themes, seems to be defective

* Thu Mar 11 1999 Michael Fulbright <drmike@redhat.com>
- removed Default theme data, this comes with gtk+ package

* Wed Mar 10 1999 Michael Fulbright <drmike@redhat.com>
- added extra gtk themes

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- version 0.5

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.4

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 0.3

* Mon Dec 18 1998 Michael Fulbright <drmike@redhat.com>
- version 0.2

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- rebuild because gtk+ version changed

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- in preparation for GNOME freeze

* Fri Nov 20 1998 Michael Fulbright <drmike@redhat.com>
- First try at a spec file

